import { type DomainEvent } from '@modules/shared';

export class OrderPaidEvent implements DomainEvent {
  readonly eventName = 'order.paid';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly buyerId: string,
    public readonly amountVND: bigint,
  ) {}
}
